$(document).ready(function() {
    $('.audio-start').click(function() {
        $('.audio-start').remove();
        audio.play();
        $('.btn-audio').removeClass('off');
    });
    $(function() {
        $('.audio-start').click(function() {
            $('.audio-start').remove();
            audio.play();
        });
        musicClick('btn-audio', 'off');
        var mControl = {
            mopen: true,
            isMusicPlay: true
        }

        function musicClick(eleClickName, moveClassName = '') {
            $('.' + eleClickName).on('click', function() {
                audioPlay(eleClickName, moveClassName);
            });
        }

        function audioPlay(eleClickName, moveClassName) {
            if (audio !== null) {
                if (audio.paused) {
                    mControl.mopen = true;
                    mControl.isMusicPlay = true;
                    $('.' + eleClickName).removeClass(moveClassName);
                    audio.play();
                } else {
                    mControl.mopen = false;
                    mControl.isMusicPlay = false;
                    $('.' + eleClickName).addClass(moveClassName);
                    audio.pause();
                }
            }
        }
    })
    document.addEventListener('visibilitychange', function() {
        var isHidden = document.hidden;
        if (isHidden) {
            audio.pause();
            $('.btn-audio').addClass('off');
        } else {
            if ($('.btn-audio').hasClass("off")) {
                audio.play();
                $('.btn-audio').removeClass('off');
            } else {
                audio.pause();
            }
        }
    });
    var userAgent = navigator.userAgent.toLowerCase();

    var u = navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
    if (isiOS) {
        $('.dow').addClass('ios');
        $(".googleplay,.apk").hide();
        $(".fb,.stored").show();
    } else if (isAndroid) {
        $('.dow').addClass('android');
        $(".appstore").hide();
        $(".fb,.stored").show();
    } else {
        $(".fb,.stored").hide();
    }

    var swiper = new Swiper(".newBanner", {
        spaceBetween: 30,
        effect: "fade",
        loop: true,
        autoplay: {
            delay: 5000,
            disableOnInteraction: false,
        },
        pagination: {
            el: ".swiper-pagination",
            clickable: true,
        },
    });
    $('.b-clike span').click(function() {
        var ind = $(this).index();
        console.log(ind);
        $('.b-role').addClass('filter');
        $('.b-role div').eq(ind).addClass('act').siblings().removeClass('act');
        $('.all-beauty-int i').text('【' + $('.b-role div:eq(' + ind + ') .beauty-name').text() + '】');
        $('.all-beauty-int p').text($('.b-role div:eq(' + ind + ') .beauty-name').attr('d-int'));
        $('.all-beauty-int').show();
        if (!userAgent.match(/(iphone|ipod|android|ipad)/)) {
            if (ind == 2) {
                $('.all-beauty-int').css({
                    left: '5.3rem',
                    top: '7.3rem',
                });
            } else if (ind == 6 || ind == 9) {
                $('.all-beauty-int').css({
                    left: '7.3rem',
                    top: '5.3rem',
                });
            } else if (ind == 0) {
                $('.all-beauty-int').css({
                    left: '3.3rem',
                    top: '8.3rem',
                });
            } else if (ind == 4 || ind == 5) {
                $('.all-beauty-int').css({
                    left: '3.3rem',
                    top: '5.6rem',
                });
            } else if (ind == 7) {
                $('.all-beauty-int').css({
                    left: '0rem',
                    top: '4.6rem',
                });
            } else if (ind == 8) {
                $('.all-beauty-int').css({
                    left: '4.3rem',
                    top: '3.6rem',
                });
            } else {
                $('.all-beauty-int').css({
                    left: '0rem',
                    top: '6.3rem',
                });
            }
        } else {
            console.log('ind=', ind);
            if (ind == 6 || ind == 9 || ind == 2 || ind == 3) {
                $('.all-beauty-int .ill-role img').css({
                    width: '70%'
                });
            } else {
                $('.all-beauty-int .ill-role img').css({
                    width: '100%'
                });
            }

            $('.all-beauty-int img').attr('src', 'https://ompic.neteaselab.com/respic/images/jh/20220507/img/beauty/' + (ind + 1) + '.png');
        }
    })
    $('.g-clike span').click(function() {
        var ind = $(this).index();
        console.log('g-', ind);
        $('.g-role').addClass('filter');
        $('.g-role div').eq(ind).addClass('act').siblings().removeClass('act');
        $('.all-general-int i').text('【' + $('.g-role div:eq(' + ind + ') .general-name').text() + '】');
        $('.all-general-int p').text($('.g-role div:eq(' + ind + ') .general-name').attr('d-int'));
        $('.all-general-int').show();
        if (!userAgent.match(/(iphone|ipod|android|ipad)/)) {
            if (ind == 6 || ind == 9) {
                $('.all-general-int').css({
                    left: '7.3rem',
                    top: '6.3rem',
                });
            } else if (ind == 2) {
                $('.all-general-int').css({
                    left: '7.3rem',
                    top: '7rem',
                });
            } else if (ind == 0) {
                $('.all-general-int').css({
                    left: '3.3rem',
                    top: '8.3rem',
                });
            } else if (ind == 4 || ind == 5) {
                $('.all-general-int').css({
                    left: '3.3rem',
                    top: '6.3rem',
                });
            } else if (ind == 7 || ind == 8) {
                $('.all-general-int').css({
                    left: '3.6rem',
                    top: '4.3rem',
                });
            } else {
                $('.all-general-int').css({
                    left: '0rem',
                    top: '6.3rem',
                });
            }
        } else {
            console.log(1234567889);
            if (ind == 5 || ind == 8 || ind == 4 || ind == 3) {
                $('.all-general-int .ill-role img').css({
                    width: '70%'
                });
            } else {
                $('.all-general-int .ill-role img').css({
                    width: '100%'
                });
            }

            $('.all-general-int img').attr('src', 'https://ompic.neteaselab.com/respic/images/jh/20220507/img/general/' + (ind + 1) + '.png');

        }
    })
    $('.general').click(function() {
        $('.g-box').show();
        $('.b-box').hide();
        $('.g-role').removeClass('filter');
        $('.g-role div').removeClass('act');
        $('.all-beauty-int,.all-general-int').hide();
    })
    $('.beauty').click(function() {
        $('.b-box').show();
        $('.g-box').hide();
        $('.b-role').removeClass('filter');
        $('.b-role div').removeClass('act');
        $('.all-beauty-int,.all-general-int').hide();
    })

    $('.select div').click(function() {
        var ind = $(this).index();
        $(this).addClass('act').siblings().removeClass('act');
        $('.news ul').eq(ind).addClass('act').siblings().removeClass('act');

    })
    $('.all-general-int .all-con a').click(function() {
        $('.all-general-int').hide();
    })
    $('.all-beauty-int .all-con a').click(function() {
        $('.all-beauty-int').hide();
    })
    $('.nav1').click(function() {

    })
    $('.logo').click(function() { $('html,body').animate({ scrollTop: $('html,body').offset().top }, 500); });
    $('.nav1').click(function() {
        $(this).addClass('act').siblings().removeClass('act');
        $('html,body').animate({ scrollTop: $('html,body').offset().top }, 500);
    });
    $('.nav2').click(function() {
        $(this).addClass('act').siblings().removeClass('act');
        $('html,body').animate({ scrollTop: $('.section-1').offset().top - 60 }, 500);
    });
    $('.nav3').click(function() {
        $(this).addClass('act').siblings().removeClass('act');
        $('html,body').animate({ scrollTop: $('.section-2').offset().top - 160 }, 500);
    });
    $('.nav4').click(function() {
        $(this).addClass('act').siblings().removeClass('act');
        $('html,body').animate({ scrollTop: $('.section-3').offset().top - 10 }, 500);
    });
    $('body').click(function(e) {
        console.log('e=', e.target);
        if ($(e.target).attr('class') != 'int') {
            $('.b-role,.g-role').removeClass('filter');
            $('.b-role div,.g-role div').removeClass('act');
            $('.all-beauty-int,.all-general-int').hide();
        }
    });
    var cont1 = $('.section-1').offset().top - 100;
    $(window).scroll(function() {
        if ($(window).scrollTop() >= cont1) {
            $('.right-layout').css({
                'left': '0'
            });
        } else {
            $('.right-layout').css({
                'left': '-3rem'
            });
        }
    });
})